This app demonstrates how to use javascript to add a component (a ti-widget-button in this example) to your design programmatically.

Note that the component does not appear in your app in the Designer - it only appears once the app is running and the javascript code has executed.

To view the javascript file, click the Folder icon at the left side of the Designer's toolbar and then double-click the newfile_0.js file.

To add your own javascript file to your design, select File / New / Javascript File from the Designer menu and uncomment the block of code at the bottom of the file.

The example code shows how to 
 * import a component using Polymer.Base.importHref
 * add the component to your app's viewport container using the polymer.dom(parentElement).addElement(childElement) api
 * add an event listener to the component that responds to the click event
 * use Javascript to position and style the component


__More info__:


* info about styling a component using javascript: https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/style 
* info about using Polymer 1.x to work with DOM : https://www.polymer-project.org/1.0/docs/devguide/local-dom 
